Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# StepToTopoDS_GeometricToolError.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations
enum | StepToTopoDS_GeometricToolError { StepToTopoDS_GeometricToolDone, StepToTopoDS_GeometricToolIsDegenerated, StepToTopoDS_GeometricToolHasNoPCurve, StepToTopoDS_GeometricToolWrong3dParameters, StepToTopoDS_GeometricToolNoProjectiOnCurve, StepToTopoDS_GeometricToolOther }

## Enumeration Type Documentation

enum StepToTopoDS_GeometricToolError

  | Enumeration values:
  StepToTopoDS_GeometricToolDone |
  StepToTopoDS_GeometricToolIsDegenerated |
  StepToTopoDS_GeometricToolHasNoPCurve |
  StepToTopoDS_GeometricToolWrong3dParameters |
  StepToTopoDS_GeometricToolNoProjectiOnCurve |
  StepToTopoDS_GeometricToolOther |